package com.schisandra.oss.infra.basic.service.impl;

import com.schisandra.oss.infra.basic.entity.SchisandraOssPingan;
import com.schisandra.oss.infra.basic.dao.SchisandraOssPinganDao;
import com.schisandra.oss.infra.basic.service.SchisandraOssPinganService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 平安云对象存储配置表 表服务实现类
 *
 * @author landaiqing
 * @since 2024-06-02 22:19:22
 */
@Service("SchisandraOssPinganService")
public class SchisandraOssPinganServiceImpl implements SchisandraOssPinganService {

    @Resource
    private SchisandraOssPinganDao schisandraOssPinganDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public SchisandraOssPingan queryById(Long id) {
        return this.schisandraOssPinganDao.selectOneById(id);
    }

    /**
     * 新增数据
     *
     * @param schisandraOssPingan 实例对象
     * @return 实例对象
     */
    @Override
    public int insert(SchisandraOssPingan schisandraOssPingan) {
        return this.schisandraOssPinganDao.insert(schisandraOssPingan,true);
    }

    /**
     * 修改数据
     *
     * @param schisandraOssPingan 实例对象
     * @return 实例对象
     */
    @Override
    public int update(SchisandraOssPingan schisandraOssPingan) {
        return this.schisandraOssPinganDao.update(schisandraOssPingan,true);
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Long id) {
        return this.schisandraOssPinganDao.deleteById(id) > 0;
    }


}
